{
  hardware.printers = {
    ensurePrinters = [
      {
        name = "Canon-TR7620a";
        location = "Downstairs";
        deviceUri = "https://10.0.0.234";
        model = "drv:///sample.drv/generic.ppd";
        ppdOptions = {
          PageSize = "Letter";
        };
      }
      {
        name = "Brother-HL-2170W";
        location = "Upstairs";
        deviceUri = "https://192.168.50.195";
        model = "drv:///sample.drv/generic.ppd";
        ppdOptions = {
          PageSize = "Letter";
        };
      }
    ];
    ensureDefaultPrinter = "Brother-HL-2170W";
  };
  networking = {
    firewall = {
      allowedTCPPorts = [
        631
      ];
    };
  };
}
